## org.apache.commons.math.distribution
Class CauchyDistributionImpl

    java.lang.Object
      org.apache.commons.math.distribution.AbstractDistribution
          org.apache.commons.math.distribution.AbstractContinuousDistribution
              org.apache.commons.math.distribution.CauchyDistributionImpl

All Implemented Interfaces:
  java.io.Serializable, CauchyDistribution, ContinuousDistribution, Distribution

    public class CauchyDistributionImpl

extends AbstractContinuousDistribution
implements CauchyDistribution, java.io.Serializable

Default implementation of `CauchyDistribution`.

Since:
  1.1
Version:
  $Revision: 925900 $ $Date: 2010-03-21 17:10:07 -0400 (Sun, 21 Mar 2010) $
See Also:
  Serialized Form

Field Summary
`static double` `DEFAULT_INVERSE_ABSOLUTE_ACCURACY` Default inverse cumulative probability accuracy
`private double` `median` The median of this distribution.
`private double` `scale` The scale of this distribution.
`private static long` `serialVersionUID` Serializable version identifier
`private double` `solverAbsoluteAccuracy` Inverse cumulative probability accuracy

Constructor Summary
`CauchyDistributionImpl()` Creates cauchy distribution with the medain equal to zero and scale equal to one.
`CauchyDistributionImpl(double median, double s)` Create a cauchy distribution using the given median and scale.
`CauchyDistributionImpl(double median, double s, double inverseCumAccuracy)` Create a cauchy distribution using the given median and scale.

Method Summary
`double` `cumulativeProbability(double x)` For this distribution, X, this method returns P(X < `x`).
`double` `density(double x)` Returns the probability density for a particular point.
`protected double` `getDomainLowerBound(double p)` Access the domain value lower bound, based on `p`, used to bracket a CDF root.
`protected double` `getDomainUpperBound(double p)` Access the domain value upper bound, based on `p`, used to bracket a CDF root.
`protected double` `getInitialDomain(double p)` Access the initial domain value, based on `p`, used to bracket a CDF root.
`double` `getMedian()` Access the median.
`double` `getScale()` Access the scale parameter.
`protected double` `getSolverAbsoluteAccuracy()` Return the absolute accuracy setting of the solver used to estimate inverse cumulative probabilities.
`double` `inverseCumulativeProbability(double p)` For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.
`void` `setMedian(double median)` Deprecated. as of 2.1 (class will become immutable in 3.0)
`private void` `setMedianInternal(double newMedian)` Modify the median.
`void` `setScale(double s)` Deprecated. as of 2.1 (class will become immutable in 3.0)
`private void` `setScaleInternal(double s)` Modify the scale parameter.

Methods inherited from class org.apache.commons.math.distribution.AbstractDistribution
`cumulativeProbability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability`

Field Detail

### DEFAULT_INVERSE_ABSOLUTE_ACCURACY

    public static final double DEFAULT_INVERSE_ABSOLUTE_ACCURACY

  Default inverse cumulative probability accuracy

  Since:
    2.1
  See Also:
    Constant Field Values

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

### median

    private double median

  The median of this distribution.

### scale

    private double scale

  The scale of this distribution.

### solverAbsoluteAccuracy

    private final double solverAbsoluteAccuracy

  Inverse cumulative probability accuracy

Constructor Detail

### CauchyDistributionImpl

    public CauchyDistributionImpl()

  Creates cauchy distribution with the medain equal to zero and scale equal to one.

### CauchyDistributionImpl

    public CauchyDistributionImpl(double median,
                                  double s)

  Create a cauchy distribution using the given median and scale.

  Parameters:
    `median` - median for this distribution
    `s` - scale parameter for this distribution

### CauchyDistributionImpl

    public CauchyDistributionImpl(double median,
                                  double s,
                                  double inverseCumAccuracy)

  Create a cauchy distribution using the given median and scale.

  Parameters:
    `median` - median for this distribution
    `s` - scale parameter for this distribution
    `inverseCumAccuracy` - the maximum absolute error in inverse cumulative probability estimates (defaults to `DEFAULT_INVERSE_ABSOLUTE_ACCURACY`)
  Since:
    2.1

Method Detail

### cumulativeProbability

    public double cumulativeProbability(double x)

  For this distribution, X, this method returns P(X < `x`).

  Specified by:
    `cumulativeProbability` in interface `Distribution`
  Parameters:
    `x` - the value at which the CDF is evaluated.
  Returns:
    CDF evaluted at `x`.

### getMedian

    public double getMedian()

  Access the median.

  Specified by:
    `getMedian` in interface `CauchyDistribution`
  Returns:
    median for this distribution

### getScale

    public double getScale()

  Access the scale parameter.

  Specified by:
    `getScale` in interface `CauchyDistribution`
  Returns:
    scale parameter for this distribution

### density

    public double density(double x)

  Returns the probability density for a particular point.

  Overrides:
    `density` in class `AbstractContinuousDistribution`
  Parameters:
    `x` - The point at which the density should be computed.
  Returns:
    The pdf at point x.
  Since:
    2.1

### inverseCumulativeProbability

    public double inverseCumulativeProbability(double p)

  For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.

  Returns `Double.NEGATIVE_INFINITY` for p=0 and `Double.POSITIVE_INFINITY` for p=1.

  Specified by:
    `inverseCumulativeProbability` in interface `ContinuousDistribution`
  Overrides:
    `inverseCumulativeProbability` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability
  Returns:
    x, such that P(X < x) = `p`
  Throws:
    `java.lang.IllegalArgumentException` - if `p` is not a valid probability.

### setMedian

    @Deprecated
    public void setMedian(double median)

  Deprecated. as of 2.1 (class will become immutable in 3.0)

  Modify the median.

  Specified by:
    `setMedian` in interface `CauchyDistribution`
  Parameters:
    `median` - for this distribution

### setMedianInternal

    private void setMedianInternal(double newMedian)

  Modify the median.

  Parameters:
    `newMedian` - for this distribution

### setScale

    @Deprecated
    public void setScale(double s)

  Deprecated. as of 2.1 (class will become immutable in 3.0)

  Modify the scale parameter.

  Specified by:
    `setScale` in interface `CauchyDistribution`
  Parameters:
    `s` - scale parameter for this distribution
  Throws:
    `java.lang.IllegalArgumentException` - if `sd` is not positive.

### setScaleInternal

    private void setScaleInternal(double s)

  Modify the scale parameter.

  Parameters:
    `s` - scale parameter for this distribution
  Throws:
    `java.lang.IllegalArgumentException` - if `sd` is not positive.

### getDomainLowerBound

    protected double getDomainLowerBound(double p)

  Access the domain value lower bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainLowerBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value lower bound, i.e. P(X < lower bound) < `p`

### getDomainUpperBound

    protected double getDomainUpperBound(double p)

  Access the domain value upper bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainUpperBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value upper bound, i.e. P(X < upper bound) > `p`

### getInitialDomain

    protected double getInitialDomain(double p)

  Access the initial domain value, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getInitialDomain` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    initial domain value

### getSolverAbsoluteAccuracy

    protected double getSolverAbsoluteAccuracy()

  Return the absolute accuracy setting of the solver used to estimate inverse cumulative probabilities.

  Overrides:
    `getSolverAbsoluteAccuracy` in class `AbstractContinuousDistribution`
  Returns:
    the solver absolute accuracy
  Since:
    2.1

Copyright (c) 2003-2010 Apache Software Foundation